#include "command_registry.hpp"
#include "config.hpp"
#include "utils/utils.hpp"
#include "service_runner.hpp"
#include "utils/directories.hpp"
#include "standard_autocomplete.hpp"
#include "templates.hpp"
#include "shared_commands.hpp"


namespace dropshell {

    int health_handler(const CommandContext& ctx);
    void health_autocomplete(const CommandContext& ctx);

    static std::vector<std::string> health_name_list={"health","check","healthcheck","status"};

    // Static registration
    struct HealthCommandRegister {
        HealthCommandRegister() {
            CommandRegistry::instance().register_command({
                health_name_list,
                health_handler,
                health_autocomplete,
                false, // hidden
                false, // requires_config
                1,     // min_args (after command)
                2,     // max_args (after command)
                "health SERVER",
                "Check the health of a server.",
                R"(
                health <server>
                )"
            });
        }
    } health_command_register;


    // ------------------------------------------------------------------------------------------------
    // health command implementation

    std::string healthtick(const std::string& server, const std::string& service) {
        return "OK";
    }

    // ------------------------------------------------------------------------------------------------
    // health command implementation
    // ------------------------------------------------------------------------------------------------
    int health_handler(const CommandContext& ctx) {
        if (ctx.args.size() < 1) {
            
        }
        return 0;
    }

    // ------------------------------------------------------------------------------------------------
    // health autocomplete
    // ------------------------------------------------------------------------------------------------
    void health_autocomplete(const CommandContext& ctx) {
        if (ctx.args.size() == 1) {
            
        }
    }
} // namespace dropshell
